iOS高德地图SDK(搜索) V9.8.0

Loading...
Searching...
No Matches
Properties | List of all members
AMapBusLine Class Reference

公交线路 More...

`#include <AMapCommonObj.h>`

Inheritance diagram for AMapBusLine:

## Properties
NSString * | uid
| 公交线路ID
NSString * | type
| 公交类型
NSString * | name
| 公交线路名称
NSString * | polyline
| 坐标集合
NSString * | citycode
| 城市编码
NSString * | startStop
| 首发站
NSString * | endStop
| 终点站
AMapGeoPoint * | location
| 当查询公交站点时，返回的 AMapBusLine 中含有该字段
NSString * | startTime
| 首班车时间
NSString * | endTime
| 末班车时间
NSString * | company
| 所属公交公司
CGFloat | distance
| 距离。在公交线路查询时，该值为此线路的全程距离，单位为千米; 在公交路径规划时，该值为乘坐此路公交车的行驶距离，单位为米
CGFloat | basicPrice
| 起步价
CGFloat | totalPrice
| 全程票价
AMapGeoPolygon * | bounds
| 矩形区域左下、右上顶点坐标
NSArray< AMapBusStop * > * | busStops
| 本线路公交站 AMapBusStop 数组
AMapBusStop * | departureStop
| 起程站
AMapBusStop * | arrivalStop
| 下车站
NSArray< AMapBusStop * > * | viaBusStops
| 途径公交站 AMapBusStop 数组
NSInteger | duration
| 预计行驶时间（单位：秒）
NSInteger | viaNum
| 此段途径公交站数

## Additional Inherited Members
Instance Methods inherited from AMapSearchObject
(NSString *) | - formattedDescription
| 返回格式化的描述信息。通用数据结构和response类型有效。

## Detailed Description

公交线路

## Property Documentation

## ◆ arrivalStop

- (AMapBusStop*) arrivalStop
| read write nonatomic strong

下车站

## ◆ basicPrice

- (CGFloat) basicPrice
| read write nonatomic assign

起步价

## ◆ bounds

- (AMapGeoPolygon*) bounds
| read write nonatomic copy

矩形区域左下、右上顶点坐标

## ◆ busStops

- (NSArray<AMapBusStop *>*) busStops
| read write nonatomic strong

本线路公交站 AMapBusStop 数组

## ◆ citycode

- (NSString*) citycode
| read write nonatomic copy

城市编码

## ◆ company

- (NSString*) company
| read write nonatomic copy

所属公交公司

## ◆ departureStop

- (AMapBusStop*) departureStop
| read write nonatomic strong

起程站

## ◆ distance

- (CGFloat) distance
| read write nonatomic assign

距离。在公交线路查询时，该值为此线路的全程距离，单位为千米; 在公交路径规划时，该值为乘坐此路公交车的行驶距离，单位为米

## ◆ duration

- (NSInteger) duration
| read write nonatomic assign

预计行驶时间（单位：秒）

## ◆ endStop

- (NSString*) endStop
| read write nonatomic copy

终点站

## ◆ endTime

- (NSString*) endTime
| read write nonatomic copy

末班车时间

## ◆ location

- (AMapGeoPoint*) location
| read write nonatomic copy

当查询公交站点时，返回的 AMapBusLine 中含有该字段

## ◆ name

- (NSString*) name
| read write nonatomic copy

公交线路名称

## ◆ polyline

- (NSString*) polyline
| read write nonatomic copy

坐标集合

## ◆ startStop

- (NSString*) startStop
| read write nonatomic copy

首发站

## ◆ startTime

- (NSString*) startTime
| read write nonatomic copy

首班车时间

## ◆ totalPrice

- (CGFloat) totalPrice
| read write nonatomic assign

全程票价

## ◆ type

- (NSString*) type
| read write nonatomic copy

公交类型

## ◆ uid

- (NSString*) uid
| read write nonatomic copy

公交线路ID

## ◆ viaBusStops

- (NSArray<AMapBusStop *>*) viaBusStops
| read write nonatomic strong

途径公交站 AMapBusStop 数组

## ◆ viaNum

- (NSInteger) viaNum
| read write nonatomic assign

此段途径公交站数

The documentation for this class was generated from the following file:

- AMapCommonObj.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。